Reply – Re: Problem import owlready2
Your Name
Subject
Message
or Cancel
In Reply To
Re: Problem import owlready2
— by Jiba Jiba
Bonjour,

Are you sure you are using the updated version of SQLite3 ? You can check with (in python) :

import sqlite3
print(sqlite3.sqlite_version)

Best regards,
Jean-Baptiste Lamy
MCF, LIMICS, Université Paris 13

> Hello,
>
> I'm back with some news (not good )
>
> i got a fresh install of centos 7.4 1708, os updated with python 3.6.
> manually updated sqlite3 : 3.7 to 3.2
>
> >sqlite3 -version give me :  
> 3.21.0 2017-10-24 18:55:49
> 1a584e499906b5c87ec7d43d4abce641fdf017c42125b083109bc77c4de48827
>
> and the message is still the same :
> >>> import owlready2  
> Traceback (most recent call last):
>   File "<stdin>", line 1, in <module>
>   File "/usr/lib/python3.6/site-packages/owlready2/__init__.py", line 105,
> in <module>
>     default_world = IRIS = World()
>   File "/usr/lib/python3.6/site-packages/owlready2/namespace.py", line 224,
> in __init__
>     self.graph = Graph(filename)
>   File "/usr/lib/python3.6/site-packages/owlready2/triplelite.py", line 55,
> in __init__
>     self.execute("""CREATE TABLE resources (storid TEXT PRIMARY KEY, iri
> TEXT) WITHOUT ROWID""")
> sqlite3.OperationalError: near "WITHOUT": syntax error
>
> did i miss something ?
>
>
>
> _______________________________________________
> If you reply to this email, your message will be added to the discussion below:
> http://owlready.8326.n8.nabble.com/Problem-import-owlready2-tp74p82.html
> To start a new topic under Owlready, email [hidden email]
> To unsubscribe from Owlready, visit